Package: groovy.util

## [Java] Interface ObjectGraphBuilder.NewInstanceResolver

-     public interface ObjectGraphBuilder.NewInstanceResolver

  Strategy for creating new instances of a class.
  Useful for plug-in calls to non-default constructors.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

- - ### Method Detail

    - #### public Object newInstance(Class klass, Map attributes)

      Create a new instance of Class klass.

      Parameters:
        `klass` - the resolved class name
        `attributes` - the attribute Map available for the node